#include <stdio.h>

#ifndef LINUX
#include <rpc/rpc.h>
#include <rpcsvc/rstat.h>
#endif


getboottime(boottime)
    long *boottime;
{
#ifndef LINUX
    struct statstime statp;

    if (rstat("localhost", &statp) != 0)
	return -1;
    
    *boottime = statp.boottime.tv_sec;

    return 0;
#else
    FILE *fp;
    double uptime;
    long curtime;
    
    fp = fopen("/proc/uptime", "r");
    if (fp == NULL)
	return -1;


    time(&curtime);
    if (fscanf(fp, "%lf", &uptime) != 1)
    {
	fclose(fp);
	return -1;
    }

    *boottime = curtime - ((long) uptime);
    
    fclose(fp);
    return 1;
#endif

    
}
