#include <stdio.h>

#ifndef LINUX
#include <rpc/rpc.h>
#include <rpcsvc/rstat.h>
#endif


getloadavg(avenrun)
    long avenrun[3];
{
#ifndef LINUX
    struct statstime statp;

    if (rstat("localhost", &statp) != 0)
	return -1;
    
    avenrun[0] = statp.avenrun[0]*100/256;
    avenrun[1] = statp.avenrun[1]*100/256;
    avenrun[2] = statp.avenrun[2]*100/256;

    return 3;
#else
    FILE *fp;
    double fpload[3];
    
    fp = fopen("/proc/loadavg", "r");
    if (fp == NULL)
	return -1;
    
    if (fscanf(fp, "%lf %lf %lf", fpload+0, fpload+1, fpload+2) != 3)
    {
	fclose(fp);
	return -1;
    }

    avenrun[0] = fpload[0]*100;
    avenrun[1] = fpload[1]*100;
    avenrun[2] = fpload[2]*100;

    fclose(fp);
    return 3;
#endif
}



